package com.heyu.api.data.dao.vv;
/**
* <p>
* 图表配置 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-20
*/
import com.heyu.api.data.entity.vv.VvChartConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvChartConfigDao extends BaseMapper<VvChartConfigEntity> {


	VvChartConfigEntity selectVvChartConfigById(@Param("id")Long id);


	Long insertVvChartConfig(VvChartConfigEntity vvChartConfig);


	Long insertOrUpdateVvChartConfig(VvChartConfigEntity vvChartConfig);


	int updateVvChartConfigById(VvChartConfigEntity vvChartConfig);


	int updateCoverVvChartConfigById(VvChartConfigEntity vvChartConfig);


	int deleteVvChartConfigById(@Param("id")Long id);


    List<VvChartConfigEntity> selectVvChartConfigByAll();
}